import { PerspectiveCamera } from './three.module.js';

function createCamera(xOffset, yOffset, zOffset) {
  const camera = new PerspectiveCamera(
    35, // fov = Field Of View
    1, // aspect ratio (dummy value)
    0.1, // near clipping plane
    100, // far clipping plane
  );

  // move the camera back so we can view the scene
  camera.position.x = xOffset;
  camera.position.y = yOffset;
  camera.position.z = zOffset;

  return camera;
}

export { createCamera };
